Info: dette er ikke ændringsloggen for seneste stabile version 4.13.1
se alle skifter

Pro v2.6.1 med signifikant reduceret belastningstid for OpenStreetMap-baserede kort er tilgængelig

Selvom vi testede v2.6 intenst, rapporterede nogle bruger problemer umiddelbart efter frigivelsen sidste weekend. Dette var ret frustrerende for os i begyndelsen, da vi sigter mod at levere et premium-mapping-plugin af høj kvalitet. Under alle omstændigheder efter intensiv undersøgelse fandt vi, at hovedproblemet var forårsaget af, at andre plugins også indlæste Google Maps API, hvilket resulterede i problemer på lagkort.

Når vi søgte efter en løsning, opdagede vi en stor optimering som en sideeffekt, hvilket vil reducere belastningen af ​​dine OpenStreetMap-baserede kort betydeligt - hvilket gemmer dine besøgende op til 370 kb på hver sidevisning med et indbygget OpenStreetMap-baseret kort.

Vi håber, at denne optimering kompenserer dig for problemer, du måtte have oplevet med v2.6. 🙂 En opdatering til den nyeste version er - som altid - stærkt anbefalet.


Fortæl os, hvad du synes om denne nye udgivelse af indsender en anmeldelse eller efterlade en kommentar nedenfor!

Hvis du vil holde dig opdateret med den nyeste Maps Marker Pro-udvikling, skal du følge @MapsMarker på twitter (= mest aktuelle opdateringer), den Facebook, Google+ eller abonnere på nyheder via RSS eller via RSS / e-mail.

Vi vil også gerne invitere dig til at deltage i vores affiliate program som tilbyder provisioner op til 50%. Hvis du er interesseret i at blive forhandler, kan du besøge https://www.mapsmarker.com/reseller


Lad os nu komme til højdepunktet i pro v2.6.1:

reducerede belastningstiderne for OpenStreetMap-baserede kort betydeligt

Hvis du bruger OpenStreetMap eller andre ikke-Google-baserede kortkort til dine kort, indlæses dine kort nu meget hurtigere med v2.6.1. Dette opnås ved betinget og udsat Google Maps API-indlæsning.

Dette betyder, at Google Maps API-scripts kun indlæses, hvis enten Google Maps bruges som basiskort på dit kort, eller hvis du skifter til et Google-basiskort i lagkontrolboksen.

Denne nye indlæsningsmetode gemmer dine besøgende op til ~ 370 kb ukomprimeret datatransmission for hver sidevisning med et indbygget OpenStreetMap-baseret eller et andet ikke-Google-baseret basemap. Afhængigt af internetforbindelseshastigheden for dine besøgende, kan dette reducere belastningstiden på din side med op til 5 sekunder (antagelse: ADSL-bruger med 512 kbit / s båndbredde, kilde: http://www.download-time.com/)

Denne optimering er som standard aktiveret - du skal bare opgradere til v2.6.1 for at drage fordel af denne optimering.

Andre ændringer og optimeringer

  • URL-hashes introduceret med v2.6 er nu deaktiveret som standard til nye opdateringer
  • optimeret URL-hash (forhindrer i at registrere hændelser to gange, hvis du ringer til StartListening to gange)
  • Værktøjsside / flyt markører-bulk handling: flerlagskort er nu ekskluderet, da markører ikke kan tildeles direkte til flerlagskort (thx Andres!)
  • indlæser nu Google Maps API som standard via https og kun via http for WordPress-installationer med kinesisk landestand (da der er rapporteret om ydelsesproblemer med https i Kina)
  • sorter "liste over markører" til valg af flerlagskort på lagredigeringssider efter stigende ID

Fejlrettelser

  • Advarsler om "brugt i indhold", hvis der blev brugt specielle widgetkonfigurationer
  • lejlighedsvis forkerte "brugt i indhold" -resultater, der linker til indhold, hvor der ikke bruges kortkode (thx Hans-Georg!)
  • responsive tabeller blev ikke vist korrekt på nogle enheder (kolonne med relativ i stedet for absolutte bredder)
  • markørredigeringslink på fuldskærmskort, der er knyttet til lagredigeringsside i stedet for markørredigeringsside
  • lagkort kan blive brudt for nylig, hvis andre plugins eller temaer også indlejrede Google Maps API
  • markøroptælling for flerlagskort på “liste alle lag” -siden blev brudt
  • duplikatmarkørknappen på markeringsredigeringssiden duplikerede ikke tildelte lag (r) men fjernede markøren fra noget lag
  • fix til “WPBakery Visual Composer” plugin v4.7 + introduceret med v2.6 fungerede ikke korrekt på alle sider
  • bulkhandlinger for lagkort har ikke slettet eller tildelt markører fra underlag
  • Web API: tildelte markører slettes ikke eller tildeles igen, hvis du bruger slettehandling for lagkort

Oversættelser opdateringer

Takket være mange motiverede bidragydere inkluderer denne udgivelse følgende opdaterede oversættelser:

Hvis du vil bidrage til oversættelser (nye hindi-oversættere vil blive værdsat!), Kan du besøge https://translate.mapsmarker.com/projects/lmm for mere information.

Bemærk, at oversættere også kompenseres for deres bidrag - for eksempel hvis en oversættelse er færdig med mindre end 50%, får oversætteren en gratis 25 licenspakke til en værdi af € 149 som en kompensation for at afslutte oversættelsen til 100%.

Outlook - planer for de næste udgivelser

Vær opmærksom på, at vi ikke kan love nogen frigivelsesdatoer for nye funktioner. Det køreplan for større nye funktioner giver dig en idé, hvor Maps Marker Pro er på vej - alligevel vil vi bare gerne beholde fleksibiliteten til at tilføje optimeringer og bugfixes med temmelig ikke planlagte mindre udgivelser, der hovedsageligt skyldes brugernes feedback.

Abonner venligst på denne blog (via RSS or E-mail) eller følg @MapsMarker på twitter (= mest aktuelle opdateringer), hvis du vil holde dig opdateret med de seneste udviklingsnyheder.

Fuld changelog

reducerede belastningstiderne for OpenStreetMap-baserede kort betydeligt ved at understøtte betinget og udsat Google Maps API-indlæsning (~ 370 kb (!) mindre ukomprimeret datatransmission)
URL-hashes introduceret med v2.6 er nu deaktiveret som standard til nye opdateringer
optimeret URL-hash (forhindrer i at registrere hændelser to gange, hvis du ringer til StartListening to gange)
Værktøjsside / flyt markører-bulk handling: flerlagskort er nu ekskluderet, da markører ikke kan tildeles direkte til flerlagskort (thx Andres!)
indlæser nu Google Maps API som standard via https og kun via http for WordPress-installationer med kinesisk landestand (da der er rapporteret om ydelsesproblemer med https i Kina)
sorter "liste over markører" til valg af flerlagskort på lagredigeringssider efter stigende ID
Advarsler om "brugt i indhold", hvis der blev brugt specielle widgetkonfigurationer
lejlighedsvis forkerte "brugt i indhold" -resultater, der linker til indhold, hvor der ikke bruges kortkode (thx Hans-Georg!)
responsive tabeller blev ikke vist korrekt på nogle enheder (kolonne med relativ i stedet for absolutte bredder)
markørredigeringslink på fuldskærmskort, der er knyttet til lagredigeringsside i stedet for markørredigeringsside
lagkort kan blive brudt for nylig, hvis andre plugins eller temaer også indlejrede Google Maps API
markøroptælling for flerlagskort på “liste alle lag” -siden blev brudt
duplikatmarkørknappen på markeringsredigeringssiden duplikerede ikke tildelte lag (r) men fjernede markøren fra noget lag
fix til “WPBakery Visual Composer” plugin v4.7 + introduceret med v2.6 fungerede ikke korrekt på alle sider
bulkhandlinger for lagkort har ikke slettet eller tildelt markører fra underlag
Web API: tildelte markører slettes ikke eller tildeles igen, hvis du bruger slettehandling for lagkort
Oversættelsesopdateringer
Hvis du vil hjælpe med oversættelser, kan du besøge webbaseret oversættelsesplatform
opdateret tysk oversættelse
opdateret russisk oversættelse takket være Ekaterina Golubina (understøttet af Teplitsa fra Social Technologies - http://te-st.ru) og Vyacheslav Strenadko, http://slavblog.ru
opdateret svensk oversættelse takket være Olof Odier http://www.historiskastadsvandringar.se, Tedy Warsitha http://codeorig.in/, Dan Paulsson http://www.paulsson.eu, Elger Lindgren, http://bilddigital.se og Anton Andreasson, http://andreasson.org/

Vis tidligere skifter

Sådan downloades / opdateres

Den nemmeste måde at opdatere er at bruge WordPress-opdateringsprocessen: log ind med en bruger, der har administratorrettigheder, naviger til Dashboard / Updates, vælg plugins, der skal opdateres, og tryk på knappen “Update Plugins”. Pro-plugin kontrollerer hver 12. time, hvis en ny version er tilgængelig. Du kan også udløse opdateringskontrollen manuelt ved at gå til Plugins og klikke på linket "Manuelt kontrollere for opdateringer" ved siden af ​​"Maps Marker Pro":

manuel-update-kontrol

Hvis du ikke kan se linket "Kontroller for opdateringer" og bruger en version nedenfor 1.7, skal du opdatere manuelt en gang ved at downloade den aktuelle pakke fra https://www.mapsmarker.com/download-pro og overskriv de eksisterende plugin-filer på din server via FTP. Dette kan være nødvendigt på flere værter, der bruger forældede SSL-biblioteker, der forhindrer Maps Marker Pro i at oprette en sikker forbindelse til at hente opdateringspakken fra mapsmarker.com. Pro v1.7 inkluderer en løsning på den slags servere, og følgende opdateringer skal fungere igen som sædvanligt. Hvis du er berørt og har brug for hjælp, så tak åbne en support billet.

Sådan kontrolleres integriteten af ​​plugin-pakken

SHA-256 hashværdi:

B2CB348D5DA5F56FC1ABE0A8B1682A7F30341D988C58315008FDFD67BD671AC7

Klik her for en tutorial om, hvordan du verificerer integriteten af ​​plugin-pakken (anbefales, hvis plugin-pakken til en ny installation ikke blev downloadet fra https://www.mapsmarker.com - verifikation er dog ikke nødvendig, hvis den automatiske opdateringsproces bruges)

Yderligere opdateringsnotater til betatestere

Ingen yderligere handling kræves, når der opdateres fra en betaversion til denne endelige udgivelse.

Efterlad en kommentar

XHTML: Du kan bruge disse tags: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>

en English
X